#eureka client配置
eureka.client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.88:8761/eureka/
eureka.instance.appGroupName: qingniu
prolog.tx.url: http://192.168.1.88:7001/tx/manager/
prolog.auth.redis.namespace: "upcloud-base-qingniu:"

spring:
  application:
    name: upcloud-base-wh-inbound-gbj
  #redis配置
  redis:
     host: 192.168.1.88
     port: 6379
     password: prolog0212
     database: 0
     lettuce:
       shutdown-timeout: 100 # 关闭超时时间
       pool:
         max-active: 8 # 连接池最大连接数（使用负值表示没有限制）
         max-idle: 8 # 连接池中的最大空闲连接
         max-wait: 30 # 连接池最大阻塞等待时间（使用负值表示没有限制）
         min-idle: 0 # 连接池中的最小空闲连接
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.88
    username: root
    password: prolog0212
    virtual-host: /wms-qingniu
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.90:3306/upcloud_biz_inbound_qingniu?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: root
    password: prolog0212
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 6000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000
    removeAbandonedTimeoutMillis: 600000
prolog:
  dao:
    dialect: mysql
    performance:
      enable: true
      showSql: true
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  service:
    inventory: upcloud-base-inventory
    control: upcloud-base-wh-control
    outbound: upcloud-base-wh-outbound
    strategy: upcloud-base-strategy
    item: upcloud-base-item
    warehouse: upcloud-base-wh
    chain: upcloud-base-chain
    dataExchange: upcloud-data-exchange
    operate: upcloud-base-wh-operate
    common: upcloud-base-common
  serarch:
    url: http://service-data-api-base/search
mq:
  wave:
    response:
      queueName: waveResponseQueue
      topicName: topic.wave.response

logging:
  config: classpath:log4j2-test.xml
  level.root: info
erp:
  pull:
    url: http://192.168.1.212:10001/api/siyuan/inbound/pullAsn
  report:
    url: http://192.168.1.212:10001/api/siyuan/inbound/asnbill/report
  inStockBack:
    erpUrl: http://192.168.1.212:10001/api/siyuan/inbound/inStockBack
oms:
  receivingRecordBack: http://192.168.1.212:10001/api/oms/acceptanceBack
  incomingRecordBack: http://192.168.1.212:10001/api/oms/incoming
  orderStatusBack: http://192.168.1.212:10001/api/oms/statusBack
eis:
  inboundTaskUrl: http://192.168.1.212:10001/api/jxyjrh/wms2eis/inbound/

uploadSupervisionCode:
  serverUrl: http://gw.api.taobao.com/router/rest
  appKey: 31829450
  appSecret: ec698ea2ac4accd88006cd8a390b4567
  sendEnterpriseId: fa3dfe7f41ce42c1b6b6f9505e530e32
  acceptEnterpriseId: 66677777780507433